<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Рейтинг по сообщениям в форуме'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
aut();

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `ball_forum` > '0'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "<div class='rowup'>Нет результатов</div>\n";
}
$q=mysql_query("SELECT `id` FROM `user` WHERE `ball_forum` > '0' ORDER BY `ball_forum` DESC LIMIT $start, $set[p_str]");
while ($ank = mysql_fetch_assoc($q))
{
$ank=get_user($ank['id']);
if($num==1){
echo '<div class="frends">';
$num=0;
}else{
echo '<div class="frends2">';
$num=1;}
echo "".avatar2($ank['id'])."<br />\n";
echo "".online($ank['id'])." ";
echo "<a href='/info.php?id=$ank[id]'><span style=\"color:$ank[ncolor]\">$ank[nick]</span></a>\n";
echo " ".medal($ank['id'])."<br />";

echo "Сообщений: $ank[ball_forum]<br />\n";
echo "</div>\n";
}

if ($k_page>1)str("?",$k_page,$page); // Вывод страниц

echo "<div class='foot'>";
echo "<a href='/top.php'>назад</a><br />\n";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
?>